Bug 449114 - codeina fails to install downloaded fluendo megabundle
codeina fails to install downloaded fluendo megabundle
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: codeina (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 10:31 EDT by Tim Wegener
Modified: 2009-05-03 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-03 13:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Wegener 2008-05-30 10:31:42 EDT
Description of problem:
When attempting to install the downloaded fluendo megabundle of codecs (i386
architecture), an error is issued (see below) and codeina fails to install the
codecs.

Version-Release number of selected component (if applicable):
codeina-0.10.1-8.fc9.noarch
gstreamer-tools-0.10.19-1.fc9.i386
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.i386
gstreamer-plugins-base-0.10.19-2.fc9.i386
gstreamer-plugins-good-0.10.8-1.fc9.i386
gstreamer-0.10.19-1.fc9.i386
gstreamer-python-0.10.11-2.fc9.i386
libstdc++-4.3.0-8.i386

How reproducible:
Always

Steps to Reproduce:
1. codeina
2. See available options
3. File->Install downloaded plugin archive
  
Actual results:
A dialog box with the following error message appears:
"
Failed to install plugins
The following plugin archives could not be installed. Maybe they do not contain
GStreamer plugins for this architecture, or your GStreamer version is older than
the version required

/home/tim/Download/fluendo-megabundle-3.i386.tar.bz2
"

In the console, the following messages appear:
"
(codeina:4024): GStreamer-WARNING **: Failed to load plugin
'/home/tim/.gstreamer-0.10/plugins/libmch264dec.so': libstdc++.so.5: cannot open
shared object file: No such file or directory

(codeina:4024): GStreamer-WARNING **: Failed to load plugin
'/home/tim/.gstreamer-0.10/plugins/libmcaacadec.so': libstdc++.so.5: cannot open
shared object file: No such file or directory
sys:1: Warning: IA__g_object_new_valist: object class `GThemedIcon' has no
property named `names'

(codeina:4023): GLib-GIO-CRITICAL **: g_themed_icon_constructed: assertion
`themed->names != NULL && themed->names[0] != NULL' failed
sys:1: Warning: g_strv_length: assertion `str_array != NULL' failed
"

Expected results:
Codecs installed correctly and corresponding media files playing successfully.

Additional info:
After installing compat-libstdc++-33-3.2.3-63.i386 and running codeina again,
the console messages no longer appeared. However the error dialog appeared and
it did not install the codecs.

Recently I changed the location of my home directory (same filesystem, just
different name). However, I had rebooted since then. 

BTW, I was running under GNOME at the time.
Comment 1 Tim Wegener 2008-05-30 11:31:25 EDT
Workaround:
tar jxvf fluendo-megabundle-3.i386.tar.bz2
su
cp fluendo-megabundle-i386/lib* /usr/lib/gstreamer-0.10/

This allowed me to watch an MPEG2 video in Totem. (Unfortunately there appears
to be no MPEG 1 Audio, Layer 2 codec :-( )
Comment 2 Bastien Nocera 2008-05-30 11:44:28 EDT
Could you test again without the work-around and let me know what the output of
totem is?
Comment 3 Tim Wegener 2008-05-31 05:06:25 EDT
totem console output:
** Message: don't know how to handle video/mpeg, systemstream=(boolean)true,
mpegversion=(int)2
** Message: Error: A MPEG-2 System Stream demuxer plugin is required to play
this stream, but not installed.
gstdecodebin.c(792): close_pad_link (): /play/decodebin0:
No decoder to handle media type 'video/mpeg'

** Message: Missing plugin: gstreamer|0.10|totem|MPEG-2 System Stream
demuxer|decoder-video/mpeg, systemstream=(boolean)true, mpegversion=(int)2
(MPEG-2 SystemStream demuxer)
XID: 75497785
sys:1: Warning: IA__g_object_new_valist: object class `GThemedIcon' has no
property named `names'

(codeina:3258): GLib-GIO-CRITICAL **: g_themed_icon_constructed: assertion
`themed->names != NULL && themed->names[0] != NULL' failed
sys:1: Warning: g_strv_length: assertion `str_array != NULL' failed
Comment 4 Bastien Nocera 2008-05-31 08:06:14 EDT
(In reply to comment #3)
> totem console output:
> ** Message: don't know how to handle video/mpeg, systemstream=(boolean)true,
> mpegversion=(int)2
> ** Message: Error: A MPEG-2 System Stream demuxer plugin is required to play
> this stream, but not installed.
> gstdecodebin.c(792): close_pad_link (): /play/decodebin0:
> No decoder to handle media type 'video/mpeg'

Install gstreamer-plugins-flumpegdemux (a dependency of Totem in rawhide, and in
the updates for F9). Does playback work afterwards?
Comment 5 Tim Wegener 2008-06-03 11:43:54 EDT
Interestingly, I discovered that installed the codecs in
~/.gstreamer-0.10/plugins/ even though it complained. Next time I restarted
totem it worked again fine.

Note that installing the gstreamer-plugins-flumpegdemux didn't appear to make
any difference to the behaviour reported above. Console output shown below:
$ totem
** Message: don't know how to handle video/mpeg, mpegversion=(int)2,
systemstream=(boolean)false
** Message: don't know how to handle audio/mpeg, mpegversion=(int)1
** Message: Error: You do not have a decoder installed to handle this file. You
might need to install the necessary plugins.
gstplaybasebin.c(2284): prepare_output (): /play

** Message: Missing plugin: gstreamer|0.10|totem|MPEG-1 Audio
decoder|decoder-audio/mpeg, mpegversion=(int)1 (MPEG-1 Audio decoder)
** Message: Missing plugin: gstreamer|0.10|totem|MPEG-2 Video
decoder|decoder-video/mpeg, mpegversion=(int)2, systemstream=(boolean)false
(MPEG-2 Video decoder)
XID: 65012022
Comment 6 Tim Wegener 2008-06-03 11:46:49 EDT
Also, note that my (parenthetical) remark about the missing audio codec was made
in error. The lack of sound was due to a separate issue that has since been
resolved: https://bugzilla.redhat.com/show_bug.cgi?id=449203
Comment 7 Bastien Nocera 2008-10-09 11:56:03 EDT
Is that still a problem?
Comment 8 Tim Wegener 2009-05-03 01:28:48 EDT
I don't know, I moved on.  Feel free to close this bug.

Note You need to log in before you can comment on or make changes to this bug.